## ru.biosoft.plugins.jri.server
Class RServiceProtocol

    java.lang.Object
      ru.biosoft.plugins.jri.server.RServiceProtocol

Direct Known Subclasses:
  RClient

    public class RServiceProtocol

extends java.lang.Object

Service protocol for R operations

Nested Class Summary
`static class` | `RServiceProtocol.PersistenceDelegate`

Field Summary
`static java.lang.String` | `EVAL_STRING` String parameter name
`static java.lang.String` | `NAME` Name parameter name
`static java.lang.String` | `OBJECT_PARAM` Object parameter name
`static java.lang.String` | `R_SERVICE` R service constant
`static int` | `R_SERVICE_ASSIGN` Assign object
`static int` | `R_SERVICE_CHECK` Check R availability
`static int` | `R_SERVICE_EVAL` Evaluate service operation name
`static int` | `R_SERVICE_HELP` Get HTML help page
`static int` | `R_SERVICE_NEW_SESSION` New R session
`static int` | `R_SERVICE_OPEN_SESSION` Open R session
`static int` | `R_SERVICE_SAVE_SESSION` Save R session
`static int` | `R_SERVICE_VOID_EVAL` Get object service operation name

Constructor Summary
`RServiceProtocol()`

Method Summary
`static org.rosuda.REngine.REXP` | `processByteArray(byte[] byteArray, ru.biosoft.plugins.javascript.JSEnvironment env)` Parse byte array to object and fill environment
`static byte[]` | `toByteArray(org.rosuda.REngine.REXP obj, ServerRJSEnvironment environment)` Transform result to byte array

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### R_SERVICE

    public static final java.lang.String R_SERVICE

  R service constant

  See Also:
    Constant Field Values

### EVAL_STRING

    public static final java.lang.String EVAL_STRING

  String parameter name

  See Also:
    Constant Field Values

### OBJECT_PARAM

    public static final java.lang.String OBJECT_PARAM

  Object parameter name

  See Also:
    Constant Field Values

### NAME

    public static final java.lang.String NAME

  Name parameter name

  See Also:
    Constant Field Values

### R_SERVICE_EVAL

    public static final int R_SERVICE_EVAL

  Evaluate service operation name

  See Also:
    Constant Field Values

### R_SERVICE_CHECK

    public static final int R_SERVICE_CHECK

  Check R availability

  See Also:
    Constant Field Values

### R_SERVICE_VOID_EVAL

    public static final int R_SERVICE_VOID_EVAL

  Get object service operation name

  See Also:
    Constant Field Values

### R_SERVICE_HELP

    public static final int R_SERVICE_HELP

  Get HTML help page

  See Also:
    Constant Field Values

### R_SERVICE_ASSIGN

    public static final int R_SERVICE_ASSIGN

  Assign object

  See Also:
    Constant Field Values

### R_SERVICE_NEW_SESSION

    public static final int R_SERVICE_NEW_SESSION

  New R session

  See Also:
    Constant Field Values

### R_SERVICE_SAVE_SESSION

    public static final int R_SERVICE_SAVE_SESSION

  Save R session

  See Also:
    Constant Field Values

### R_SERVICE_OPEN_SESSION

    public static final int R_SERVICE_OPEN_SESSION

  Open R session

  See Also:
    Constant Field Values

Constructor Detail

### RServiceProtocol

    public RServiceProtocol()

Method Detail

### toByteArray

    public static byte[] toByteArray(org.rosuda.REngine.REXP obj,
                                     ServerRJSEnvironment environment)
                              throws java.lang.Exception

  Transform result to byte array

  Throws:
    `java.lang.Exception`

### processByteArray

    public static org.rosuda.REngine.REXP processByteArray(byte[] byteArray,
                                                           ru.biosoft.plugins.javascript.JSEnvironment env)
                                                    throws java.lang.Exception

  Parse byte array to object and fill environment

  Throws:
    `java.lang.Exception`

Copyright © 2001-2009 Biosof.Ru. All Rights Reserved.